<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package megapress
 */

get_header();
?>
	
	<?php 
	$megapress_sidebar = '';
	if( get_theme_mod( 'megapress_sidebar_post' )=="yes" ) {
		$megapress_sidebar = 'yes';
	}
	?>
	<div id="primary" class="col-12 col-sm-12 <?php echo $megapress_sidebar=="yes"?'col-md-8 col-lg-8':'col-md-12 col-lg-12'?> content-area">
		<main id="main" class="site-main">

		<?php
		while ( have_posts() ) :
			the_post();

			get_template_part( 'template-parts/content', get_post_type() );

			the_post_navigation();

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
if( $megapress_sidebar == "yes" ) {
	get_sidebar();
}
get_footer();
